### Constructor

# GdkPixbuf Pixbuf new_from_xpm_data

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_new_from_xpm_data (
      const char** data
    )

#### Description [src]

Creates a new pixbuf by parsing XPM data in memory.

This data is commonly the result of including an XPM file into a program’s C source.

#### Parameters

`data` | An array of `char*`
| Pointer to inline XPM data.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GdkPixbuf`
| A newly-created pixbuf.
| The caller of the function takes ownership of the data, and is responsible for freeing it.